Strategy, Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/strategy-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/strategy-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1783296000000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/blt6b18e7bc25a68a8f/6a4b0be1a8ab282d09015d81/form-8-k_07-06-2026.pdf",
    "holding_balance": 843775.0,
    "holding_net_change": -3588.0,
    "transaction_value_usd": 215985853.0,
    "average_entry_value_usd": -60196.73,
    "transaction_value_calculated": false
  },
  {
    "date": 1785715200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/blt4e80364948bf437c/6a6ff89f0da6737125578aab/form-8-k_08-03-2026.pdf",
    "holding_balance": 842137.0,
    "holding_net_change": -1638.0,
    "transaction_value_usd": 104761566.0,
    "average_entry_value_usd": -63957.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1786320000000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/blt5753b925d6f68e09/6a794ef9dcb43781cc2cf7c3/form-8-k_08-10-2026.pdf",
    "holding_balance": 840447.0,
    "holding_net_change": -1690.0,
    "transaction_value_usd": 108602780.0,
    "average_entry_value_usd": -64262.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/strategy-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    840447.0
  ],
  [
    1787011200000,
    840447.0
  ],
  [
    1787097600000,
    840447.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/strategy-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    52801872795.18
  ],
  [
    1787011200000,
    54204679691.82
  ],
  [
    1787097600000,
    54370491480.45
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/strategy-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 91.67,
    "date": "2026-08-14",
    "high": 95.08,
    "open": 94.98,
    "close": 93.04,
    "volume": 20678800
  },
  {
    "low": 93.08,
    "date": "2026-08-17",
    "high": 98.57,
    "open": 93.25,
    "close": 97.68,
    "volume": 20353400
  },
  {
    "low": 92.45,
    "date": "2026-08-18",
    "high": 97.6599,
    "open": 95.71,
    "close": 92.52,
    "volume": 16622588
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/strategy-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 12.2517,
  "quarterly_earnings_growth": -0.775,
  "eps_estimate_current_quarter": 3.0743
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/strategy-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -5.42,
  "six_month_return": -28.1,
  "three_month_return": -44.48
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/strategy-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 140.1,
  "total_btc_percentage": 4.002,
  "share_price_change_state": "down"
}